Package com.oracle.nosql.spring.data.core.query

# Enum Class CriteriaType

java.lang.Object
java.lang.Enum<CriteriaType>
com.oracle.nosql.spring.data.core.query.CriteriaType

All Implemented Interfaces:
  `Serializable`, `Comparable<CriteriaType>`, `Constable`

public enum CriteriaType extends Enum<CriteriaType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER`
  `ALL`
  `AND`
  `BEFORE`
  `BETWEEN`
  `CONTAINING`
  `ENDS_WITH`
  `EXISTS`
  `FALSE`
  `GREATER_THAN`
  `GREATER_THAN_EQUAL`
  `IN`
  `IS_EQUAL`
  `IS_NOT_NULL`
  `IS_NULL`
  `LESS_THAN`
  `LESS_THAN_EQUAL`
  `LIKE`
  `NEAR`
  `NOT`
  `NOT_CONTAINING`
  `NOT_IN`
  `NOT_LIKE`
  `OR`
  `REGEX`
  `STARTS_WITH`
  `TRUE`
  `WITHIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSqlKeyword()`
  `static boolean`
  `isBinary(CriteriaType type)`
  Check if CriteriaType operation is binary, with format of (A ops A -> B).
  `static boolean`
  `isClosed(CriteriaType type)`
  Check if CriteriaType operation is closure, with format of (A ops A -> A).
  `static boolean`
  `isFunction(CriteriaType type)`
  Check if CriteriaType operation is a function.
  `static boolean`
  `isPartTypeSupported(org.springframework.data.repository.query.parser.Part.Type partType)`
  Check if PartType is supported.
  `static boolean`
  `isPartTypeUnSupported(org.springframework.data.repository.query.parser.Part.Type partType)`
  Check if PartType is NOT supported.
  `static boolean`
  `isUnary(CriteriaType type)`
  Check if CriteriaType operation is unary, with format of (ops A -> B).
  `static CriteriaType`
  `toCriteriaType(org.springframework.data.repository.query.parser.Part.Type partType)`
  `static CriteriaType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CriteriaType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final CriteriaType ALL

  - ### IS_EQUAL

    public static final CriteriaType IS_EQUAL

  - ### OR

    public static final CriteriaType OR

  - ### AND

    public static final CriteriaType AND

  - ### NOT

    public static final CriteriaType NOT

  - ### BEFORE

    public static final CriteriaType BEFORE

  - ### AFTER

    public static final CriteriaType AFTER

  - ### IN

    public static final CriteriaType IN

  - ### NOT_IN

    public static final CriteriaType NOT_IN

  - ### IS_NULL

    public static final CriteriaType IS_NULL

  - ### IS_NOT_NULL

    public static final CriteriaType IS_NOT_NULL

  - ### LESS_THAN

    public static final CriteriaType LESS_THAN

  - ### LESS_THAN_EQUAL

    public static final CriteriaType LESS_THAN_EQUAL

  - ### GREATER_THAN

    public static final CriteriaType GREATER_THAN

  - ### GREATER_THAN_EQUAL

    public static final CriteriaType GREATER_THAN_EQUAL

  - ### CONTAINING

    public static final CriteriaType CONTAINING

  - ### NOT_CONTAINING

    public static final CriteriaType NOT_CONTAINING

  - ### ENDS_WITH

    public static final CriteriaType ENDS_WITH

  - ### STARTS_WITH

    public static final CriteriaType STARTS_WITH

  - ### TRUE

    public static final CriteriaType TRUE

  - ### FALSE

    public static final CriteriaType FALSE

  - ### BETWEEN

    public static final CriteriaType BETWEEN

  - ### REGEX

    public static final CriteriaType REGEX

  - ### LIKE

    public static final CriteriaType LIKE

  - ### NOT_LIKE

    public static final CriteriaType NOT_LIKE

  - ### EXISTS

    public static final CriteriaType EXISTS

  - ### NEAR

    public static final CriteriaType NEAR

  - ### WITHIN

    public static final CriteriaType WITHIN

- ## Method Details

  - ### values

    public static CriteriaType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CriteriaType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getSqlKeyword

    public String getSqlKeyword()

  - ### isPartTypeUnSupported

    public static boolean isPartTypeUnSupported(@NonNull org.springframework.data.repository.query.parser.Part.Type partType)
    Check if PartType is NOT supported.
    Returns:
      True if unsupported, or false.

  - ### isPartTypeSupported

    public static boolean isPartTypeSupported(@NonNull org.springframework.data.repository.query.parser.Part.Type partType)
    Check if PartType is supported.
    Returns:
      True if supported, or false.

  - ### toCriteriaType

    public static CriteriaType toCriteriaType(@NonNull org.springframework.data.repository.query.parser.Part.Type partType)

  - ### isClosed

    public static boolean isClosed(CriteriaType type)
    Check if CriteriaType operation is closure, with format of (A ops A -> A). Example: AND, OR.
    Returns:
      True if match, or false.

  - ### isBinary

    public static boolean isBinary(CriteriaType type)
    Check if CriteriaType operation is binary, with format of (A ops A -> B). Example: IS_EQUAL, AFTER.
    Returns:
      True if match, or false.

  - ### isFunction

    public static boolean isFunction(CriteriaType type)
    Check if CriteriaType operation is a function.
    Returns:
      True if match, or false.

  - ### isUnary

    public static boolean isUnary(CriteriaType type)
    Check if CriteriaType operation is unary, with format of (ops A -> B).
    Returns:
      True if match, or false.